	<form method="post" action="options.php">
	<table border="1px" width="80%">
	<tr>
		<td colspan="3">
			<?php wp_nonce_field('update-options'); ?>
			<p class="submit">
			<input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
			</p>
		</td>
	</tr>
	<tr>
		<td colspan="3"><hr></td>
	</tr>

	<tr>
		<td colspan="3"><b><?php _e('Scheduler settings', 'scheduler') ?></b></td>
	</tr>
	<tr>
		<td colspan="3"><hr></td>
	</tr>

	<tr>
		<td width="25%"><?php _e('Show blog posts as events in the scheduler', 'scheduler'); ?>:</td>
		<td width="30%">

		<script>
		function hider()
			{
			var elem = document.getElementById('scheduler_posts');
			var a = new Array('scheduler1', 'scheduler2', 'scheduler3', 'scheduler4', 'scheduler5', 'scheduler6', 'scheduler7');
			if (elem.checked)
				{
				for (var i = 0; i < a.length; i++)
					{
					document.getElementById(a[i]).style.visibility = 'hidden'; 
					document.getElementById(a[i]).style.display='none';
					}
				}
				else
				{
				for (var i = 0; i < a.length; i++)
					{
					document.getElementById(a[i]).style.visibility = 'visible'; 
					document.getElementById(a[i]).style.display='';
					}
				}
			}
	window.onload = hider;
		</script>
			<input type="checkbox" name="scheduler_posts" id="scheduler_posts" <?php if (get_option('scheduler_posts') == 'on') echo "checked=\"checked\""; ?> onclick="hider(this)">
			<label for="scheduler_posts"><?php _e('Yes', 'scheduler'); ?>/<?php _e('No', 'scheduler'); ?></label><br />
		</td>
		<td width="45%"><?php _e('Each blog post will be presented as an event in the scheduler.', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td colspan="3"><hr></td>
	</tr>
	<tr id="scheduler1">
		<td width="20%"><?php _e('Table name', "scheduler"); ?>:</td>
		<td width="30%">
			<input type="text" name="scheduler_table_name" value="<?php echo get_option('scheduler_table_name'); ?>" />
		</td>
		<td width="50%"><?php _e("Name of the events table. By default, 'events_rec'", 'scheduler'); ?></td>
	</tr>
	<tr id="scheduler2">
		<td colspan="3"><hr></td>
	</tr>
	<tr>
		<td><?php _e('Width of the scheduler', 'scheduler'); ?>:</td>
		<td>
			<input type="text" name="scheduler_width" value="<?php echo get_option('scheduler_width'); ?>" />
		</td>
		<td width="50%"><?php _e('Width of the scheduler must be defined in pixels ( not lesser than 200px ) or percents ( not lesser than 20%).', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td><?php _e('Height of the scheduler', 'scheduler'); ?>:</td>
		<td>
			<input type="text" name="scheduler_height" value="<?php echo get_option('scheduler_height'); ?>" />
		</td>
		<td width="50%"><?php _e('Height of the scheduler must be defined in pixels  ( not lesser than 200px).', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td colspan="3"><hr></td>
	</tr>
	<tr id="scheduler3">
		<td><?php _e('Repeat events', 'scheduler'); ?>:</td>
		<td>
			<input type="radio" name="scheduler_repeat" id="scheduler_repeat1" value="0" <?php if (get_option('scheduler_repeat') == '0') echo "checked=\"checked\""; ?> />
			<label for="scheduler_repeat1"><?php _e('Disable', 'scheduler'); ?></label>
			<input type="radio" name="scheduler_repeat" id="scheduler_repeat2" value="1" <?php if (get_option('scheduler_repeat') == '1') echo "checked=\"checked\""; ?> />
			<label for="scheduler_repeat2"><?php _e('Enable', 'scheduler'); ?></label>
		</td>
		<td width="50%"><?php _e('Enable/Disable repeated events', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td><?php _e('12-hour time mode', 'scheduler'); ?>:</td>
		<td>
			<input type="radio" name="scheduler_12hr" id="scheduler_12hr1" value="0" <?php if (get_option('scheduler_12hr') == '0') echo "checked=\"checked\""; ?> />
			<label for="scheduler_12hr1"><?php _e('Disable', 'scheduler'); ?></label>
			<input type="radio" name="scheduler_12hr" id="scheduler_12hr2" value="1" <?php if (get_option('scheduler_12hr') == '1') echo "checked=\"checked\""; ?> />
			<label for="scheduler_12hr2"><?php _e('Enable', 'scheduler'); ?></label>
		</td>
		<td width="50%"><?php _e('12/24-hour time mode', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td><?php _e('The first day of the week', 'scheduler') ?>:</td>
		<td>
			<input type="radio" name="scheduler_first_day" id="scheduler_first_day1" value="0" <?php if (get_option('scheduler_first_day') == '0') echo "checked=\"checked\""; ?> />
			<label for="scheduler_first_day1"><?php _e('Monday', 'scheduler'); ?></label>
			<input type="radio" name="scheduler_first_day" id="scheduler_first_day2" value="1" <?php if (get_option('scheduler_first_day') == '1') echo "checked=\"checked\""; ?> />
			<label for="scheduler_first_day2"><?php _e('Sunday', 'scheduler'); ?></label>
		</td>
		<td width="50%"><?php _e('The week begins with', 'scheduler'); ?></td>
	</tr>
	<tr id="scheduler4">
		<td colspan="3"><hr></td>
	</tr>
	<tr id="scheduler5">
		<td colspan="3"><b><?php _e("Allow users' groups to edit events", "scheduler"); ?></b></td>
	</tr>


	<tr id="scheduler6">
		<td colspan="3">
			<table width="100%" border="0" style="border: none;">
				<tr>
					<td width="40%">&nbsp;</td>
					<td width="20%"><?php _e('View', 'scheduler'); ?></td>
					<td width="20%"><?php _e('Add', 'scheduler'); ?></td>
					<td width="20%"><?php _e('Edit', 'scheduler'); ?></td>
				</tr>
				<tr>
					<td><?php _e('Guests', 'scheduler'); ?>:</td>
					<td>
						<input type="checkbox" name="scheduler_guest_view" id="scheduler_guest_view" <?php if (get_option('scheduler_guest_view') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_guest_add" id="scheduler_guest_add" <?php if (get_option('scheduler_guest_add') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_guest_edit" id="scheduler_guest_edit" <?php if (get_option('scheduler_guest_edit') == 'on') echo "checked=\"checked\""; ?>>
					</td>
				</tr>
				<tr>
					<td>Subscriber:</td>
					<td>
						<input type="checkbox" name="scheduler_subscriber_view" id="scheduler_subscriber_view" <?php if (get_option('scheduler_subscriber_view') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_subscriber_add" id="scheduler_subscriber_add" <?php if (get_option('scheduler_subscriber_add') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_subscriber_edit" id="scheduler_subscriber_edit" <?php if (get_option('scheduler_subscriber_edit') == 'on') echo "checked=\"checked\""; ?>>
					</td>
				</tr>
				<tr>
					<td>Contributor:</td>
					<td>
						<input type="checkbox" name="scheduler_contributor_view" id="scheduler_contributor_view" <?php if (get_option('scheduler_contributor_view') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_contributor_add" id="scheduler_contributor_add" <?php if (get_option('scheduler_contributor_add') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_contributor_edit" id="scheduler_contributor_edit" <?php if (get_option('scheduler_contributor_edit') == 'on') echo "checked=\"checked\""; ?>>
					</td>
				</tr>
				<tr>
					<td>Author:</td>
					<td>
						<input type="checkbox" name="scheduler_author_view" id="scheduler_author_view" <?php if (get_option('scheduler_author_view') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_author_add" id="scheduler_author_add" <?php if (get_option('scheduler_author_add') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_author_edit" id="scheduler_author_edit" <?php if (get_option('scheduler_author_edit') == 'on') echo "checked=\"checked\""; ?>>
					</td>
				</tr>
				<tr>
					<td>Editor:</td>
					<td>
						<input type="checkbox" name="scheduler_editor_view" id="scheduler_editor_view" <?php if (get_option('scheduler_editor_view') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_editor_add" id="scheduler_editor_add" <?php if (get_option('scheduler_editor_add') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_editor_edit" id="scheduler_editor_edit" <?php if (get_option('scheduler_editor_edit') == 'on') echo "checked=\"checked\""; ?>>
					</td>
				</tr>
				<tr>
					<td>Administrator:</td>
					<td>
						<input type="checkbox" name="scheduler_admin_view" id="scheduler_admin_view" <?php if (get_option('scheduler_admin_view') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_admin_add" id="scheduler_admin_add" <?php if (get_option('scheduler_admin_add') == 'on') echo "checked=\"checked\""; ?>>
					</td>
					<td>
						<input type="checkbox" name="scheduler_admin_edit" id="scheduler_admin_edit" <?php if (get_option('scheduler_admin_edit') == 'on') echo "checked=\"checked\""; ?>>
					</td>
				</tr>
			</table>
		</td>
	</tr>

	<tr id="scheduler7">
		<td colspan="3"><hr></td>
	</tr>

	<tr>
		<td><?php _e('Available modes', 'scheduler'); ?>:</td>
		<td>
			<input type="checkbox" name="scheduler_day" id="scheduler_day" <?php if (get_option('scheduler_day') == 'on') echo "checked=\"checked\""; ?>>
			<label for="scheduler_day"><?php _e('Day', 'scheduler'); ?></label><br />
			<input type="checkbox" name="scheduler_week" id="scheduler_week" <?php if (get_option('scheduler_week') == 'on') echo "checked=\"checked\""; ?>>
			<label for="scheduler_week"><?php _e('Week', 'scheduler'); ?></label><br />
			<input type="checkbox" name="scheduler_month" id="scheduler_month" <?php if (get_option('scheduler_month') == 'on') echo "checked=\"checked\""; ?>>
			<label for="scheduler_month"><?php _e('Month', 'scheduler'); ?></label><br />
			<input type="checkbox" name="scheduler_year" id="scheduler_year" <?php if (get_option('scheduler_year') == 'on') echo "checked=\"checked\""; ?>>
			<label for="scheduler_year"><?php _e('Year', 'scheduler'); ?></label><br />
		<?php 
			if (get_option('scheduler_repeat') == '0') {
		?>
			<input type="checkbox" name="scheduler_agenda" id="scheduler_agenda" <?php if (get_option('scheduler_agenda') == 'on') echo "checked=\"checked\""; ?>>
			<label for="scheduler_agenda"><?php _e('Agenda', 'scheduler'); ?></label><br />
		<?php
			}
		?>
		</td>
		<td><?php _e('Modes, which will be available to the users.', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td><?php _e('Default mode', 'scheduler'); ?>:</td>
		<td>
		<?php
		if ((get_option('scheduler_day') == '')&&(get_option('scheduler_week') == '')&&(get_option('scheduler_month') == '')&&(get_option('scheduler_year') == '')&&(get_option('scheduler_agenda') == ''))
			{
			?>
					<input type="hidden" name="scheduler_default" value="<?php echo get_option('scheduler_default'); ?>" />
			<?php
			_e('All modes were removed. You need to have at least one mode available.', 'scheduler');
			}
			else
			{
		?>
		<select name="scheduler_default">
			<?php if (get_option('scheduler_day') == 'on')
				{
			?>
			<option value="day" <?php if (get_option('scheduler_default') == 'day') echo "SELECTED"; ?>><?php _e('Day', 'scheduler'); ?></option>
			<?php
				}
			if (get_option('scheduler_week') == 'on')
				{
			?>
			<option value="week" <?php if (get_option('scheduler_default') == 'week') echo "SELECTED"; ?>><?php _e('Week', 'scheduler'); ?></option>
			<?php
				}
			if (get_option('scheduler_month') == 'on')
				{
			?>
			<option value="month" <?php if (get_option('scheduler_default') == 'month') echo "SELECTED"; ?>><?php _e('Month', 'scheduler'); ?></option>
			<?php
				}
			}
			
			if (get_option('scheduler_year') == 'on') 
				{
			?>
			<option value="year" <?php if (get_option('scheduler_default') == 'year') echo "SELECTED"; ?>><?php _e('Year', 'scheduler'); ?></option>
			<?php
				}
			
			if ((get_option('scheduler_agenda') == 'on')&&(get_option('scheduler_repeat') == '0'))
				{
			?>
			<option value="agenda" <?php if (get_option('scheduler_default') == 'agenda') echo "SELECTED"; ?>><?php _e('Agenda', 'scheduler'); ?></option>
			<?php
				}
			?>
		</SELECT>
		</td>
		<td><?php _e('Mode, which will be activated by default, after scheduler launching.', 'scheduler'); ?></td>
	</tr>
	<tr id="scheduler12">
		<td><?php _e('Event creation onClick', 'scheduler'); ?>:</td>
		<td><input type="checkbox" name="scheduler_on_click" id="scheduler_on_click" <?php if (get_option('scheduler_on_click') == 'on') echo "checked=\"checked\""; ?>>
			<label for="scheduler_on_click"><?php _e('Yes', 'scheduler'); ?>/<?php _e('No', 'scheduler'); ?></label><br />
		</td>
		<td><?php _e('Creating an event by single clicking the mouse.', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td width="20%"><?php _e('Events number in Sidebar', 'scheduler'); ?>:</td>
		<td width="30%">
			<input type="text" name="scheduler_sidebar" value="<?php echo get_option('scheduler_sidebar'); ?>" size="3" />
		</td>
		<td width="50%"><?php _e('Number of events which will showed in Sidebar', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td><?php _e('Show multiline event in week and day view', 'scheduler'); ?>:</td>
		<td>
			<input type="radio" name="scheduler_multiline" id="scheduler_multiline1" value="0" <?php if (get_option('scheduler_multiline') == '0') echo "checked=\"checked\""; ?> />
			<label for="scheduler_multiline1"><?php _e('Disable', 'scheduler'); ?></label>
			<input type="radio" name="scheduler_multiline" id="scheduler_multiline2" value="1" <?php if (get_option('scheduler_multiline') == '1') echo "checked=\"checked\""; ?> />
			<label for="scheduler_multiline2"><?php _e('Enable', 'scheduler'); ?></label>
		</td>
		<td width="50%"><?php _e('Enable/Disable to show multiline event in week and day view', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td width="20%"><?php _e('Link to the Scheduler', 'scheduler'); ?>:</td>
		<td width="30%">
			<input type="text" name="scheduler_url" value="<?php echo get_option('scheduler_url'); ?>"  size="40"/>
		</td>
		<td width="50%"><?php _e('Link to the page with Scheduler', 'scheduler'); ?></td>
	</tr>
	<tr>
		<td><?php _e('Debug', 'scheduler'); ?>:</td>
		<td>
			<input type="radio" name="scheduler_debug" id="scheduler_debug1" value="0" <?php if (get_option('scheduler_debug') == '0') echo "checked=\"checked\""; ?> />
			<label for="scheduler_debug1"><?php _e('Disable', 'scheduler'); ?></label>
			<input type="radio" name="scheduler_debug" id="scheduler_debug2" value="1" <?php if (get_option('scheduler_debug') == '1') echo "checked=\"checked\""; ?> />
			<label for="scheduler_debug2"><?php _e('Enable', 'scheduler'); ?></label>
		</td>
		<td width="50%"><?php _e('Enable/Disable debug mode', 'scheduler'); ?></td>
	</tr>
	</table>


	<input type="hidden" name="action" value="update" />
	<input type="hidden" name="page_options" value="scheduler_on_click,scheduler_guest_view,scheduler_guest_add,scheduler_guest_edit,scheduler_subscriber_view,scheduler_subscriber_add,scheduler_subscriber_edit,scheduler_contributor_view,scheduler_contributor_add,scheduler_contributor_edit,scheduler_author_view,scheduler_author_add,scheduler_author_edit,scheduler_editor_view,scheduler_editor_add,scheduler_editor_edit,scheduler_admin_view,scheduler_admin_add,scheduler_admin_edit,scheduler_table_name,scheduler_width,scheduler_height,scheduler_repeat,scheduler_12hr,scheduler_first_day,scheduler_edit_guest,scheduler_edit_reg,scheduler_edit_adm,scheduler_day,scheduler_week,scheduler_month,scheduler_year,scheduler_agenda,scheduler_default,scheduler_posts,scheduler_sidebar,scheduler_multiline,scheduler_url,scheduler_debug" />
	<?php settings_fields('scheduler_options'); ?>
	<p class="submit">
	<input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
	</p>
	</form>