<?php
	include ('codebase/connector/scheduler_connector.php');
	
	if (get_magic_quotes_gpc()) {
		foreach ( $_POST as $k => $v ) {
			$_POST[$k] = stripslashes($v);
		}
	}

	require('../../../wp-config.php');
	$usertypes = Array(0 => 'subscriber', 1 => 'contributor', 2 => 'author', 3 => 'editor', 4 => 'editor', 5 => 'editor', 6 => 'editor', 7 => 'editor', 8 => 'admin', 9 => 'admin', 10 => 'admin');
	define('WP_USE_THEMES', true);
	get_currentuserinfo();
	$userlevel = $current_user->user_level;
	if (isset($usertypes[$userlevel])) {
		$userlevel = $usertypes[$userlevel];
		}
		else {
		$userlevel = 'guest';
		}

	if (get_option('scheduler_posts') == 'on') {
		$deny = '0';
	}
	
	$table_name = get_option('scheduler_table_name');
	
	$res=mysql_connect(DB_HOST,DB_USER,DB_PASSWORD);
	mysql_select_db(DB_NAME);
	
	


	function delete_related($action){
		global $scheduler, $prefix, $table_name;
		
		$status = $action->get_status();
		$type =$action->get_value("rec_type");
		$pid =$action->get_value("event_pid");
		if (($status == "deleted" || $status == "updated") && $type!=""){
			$scheduler->sql->query("DELETE FROM `".$prefix.$table_name."` WHERE event_pid='".$scheduler->sql->escape($action->get_id())."'");
		}
		if ($status == "deleted" && $pid !=0){
			$scheduler->sql->query("UPDATE `".$prefix.$table_name."` SET rec_type='none' WHERE event_id='".$scheduler->sql->escape($action->get_id())."'");
			$action->success();
		}
		
	}
	function insert_related($action) {
		$status = $action->get_status();
		$type =$action->get_value("rec_type");
		
		if ($status == "inserted" && $type=="none")
			$action->set_status("deleted");
	}
	
	function posts_table_builder($row) {
		$start = substr($row->get_value("post_date"), 0, 10)." 00:00:00";
		$row->set_value("post_date", $start);
		$start = date_parse($start);
		$endd = mktime($start['hour'], $start['minute'], $start['second'], $start['month'], $start['day'] + 1, $start['year']);
		$endd = date("Y-m-d", $endd)." 00:00:00";
		$row->set_value("post_date_gmt", $endd);
		$text = $row->get_value("post_title");
		$text = "<a href=\"".$row->get_value("guid")."\">".$text."</a>";
		$row->set_value("post_title", $text);
	}

	$scheduler = new schedulerConnector($res);
	if (get_option("scheduler_debug") == "1") {
		$scheduler->enable_log("scheduler_log.txt", true);
	}
	if (get_option("scheduler_".$userlevel."_add") != 'on') {
		$scheduler->access->deny("insert");
	}
	if (get_option("scheduler_".$userlevel."_edit") != 'on') {
		$scheduler->access->deny("update");
		$scheduler->access->deny("delete");
	}

	if (get_option('scheduler_posts') == 'on') {
		$scheduler->access->deny("insert");
		$scheduler->access->deny("update");
		$scheduler->access->deny("delete");

		$scheduler->event->attach("beforeRender", "posts_table_builder");
		$scheduler->render_sql("SELECT `ID`,`post_date`,`post_date_gmt`,`post_title`,`guid` FROM `".$table_prefix."posts` WHERE `post_type`='post'", "ID", "post_date,post_date_gmt,post_title,guid");
		} else {
		if (get_option('scheduler_repeat') == 'on') {
			$scheduler->event->attach("beforeProcessing","delete_related");
			$scheduler->event->attach("afterProcessing","insert_related");
			}
		if (isset($wpdb->base_prefix)) {
			$prefix = $wpdb->base_prefix;
		} else {
			$prefix = $wpdb->prefix;
		}
		$scheduler->render_table($prefix.$table_name,"event_id","start_date,end_date,text,rec_type,event_pid,event_length");
		}
?>